Subject: Re: Highly inconsistent diff UI

From: Jonathan Nieder <[email-masked]>
Date: Wed, 24 Apr 2013 12:23:39 -0700

Junio C Hamano wrote:

> And it does not match "git log origin...HEAD" which gives both sides
> of the symmetric difference of the history.  To match it, you have
> to say "git log --right-only origin...HEAD" or something.

I tend to use --left-right.  All I meant is that with both diff and
log, ... is a way to get something meaningful when my history and
someone else's history have diverged.

I agree that it would be easier to explain if there were some

	git diff --from-merge-base A B

We could say that "git diff A...B" is a mostly meaningless shorthand
for that.